Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events.impl
Class AbstractExtendedElements

    java.lang.Object
      org.apache.muse.ws.dm.muws.events.impl.AbstractExtendedElements

All Implemented Interfaces:
  ExtendedElements

Direct Known Subclasses:
  SimpleComponent, SimpleComponentAddress, SimpleManagementEvent

public class AbstractExtendedElements
extends java.lang.Object
implements ExtendedElements

Author:
  Dan Jemiolo (danj)

Constructor Summary
`AbstractExtendedElements()`

Method Summary
`void` | `addExtendedElement(org.w3c.dom.Element xml)`
`void` | `addExtendedElement(QName elementName, java.lang.Object elementValue)`
`protected void` | `appendExtendedElements(org.w3c.dom.Element xml)`
`java.util.Collection` | `getExtendedElements()`
`java.util.Collection` | `getExtendedElements(QName elementName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExtendedElements

    public AbstractExtendedElements()

Method Detail

### addExtendedElement

    public final void addExtendedElement(org.w3c.dom.Element xml)

  Specified by:
    `addExtendedElement` in interface `ExtendedElements`
  Parameters:
    `xml` - The custom XML that will be added to end of the WEF component.

### addExtendedElement

    public final void addExtendedElement(QName elementName,
                                         java.lang.Object elementValue)

  Specified by:
    `addExtendedElement` in interface `ExtendedElements`
  Parameters:
    `elementName` - The name of the XML element that will be added to the end of the WEF component.
    `elementValue` - The value that will be serialized to XML and added to the end of the WEF component.

### appendExtendedElements

    protected void appendExtendedElements(org.w3c.dom.Element xml)

### getExtendedElements

    public final java.util.Collection getExtendedElements()

  Specified by:
    `getExtendedElements` in interface `ExtendedElements`
  Returns:
    All Elements added using the addExtendedElement() method(s).

### getExtendedElements

    public final java.util.Collection getExtendedElements(QName elementName)

  Specified by:
    `getExtendedElements` in interface `ExtendedElements`
  Parameters:
    `elementName` - The QName of the desired Element(s)
  Returns:
    The set of extended Elements (which were provided using the addExtendedElement() methods) whose names are equal to the one given.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD